"use strict";
var el = wp.element.createElement,
    registerBlockType = wp.blocks.registerBlockType,
    blockStyle = {};

registerBlockType('carspot/price-table', {
	title: 'Pricing Table',
	icon: 'dashicons dashicons-money-alt ',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_price_table]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_price_table]' );
    },
});


registerBlockType('carspot/registration-form', {
	title: 'Registration Form',
	icon: 'dashicons dashicons-forms',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_form_wizard]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_form_wizard]' );
    },
});

registerBlockType('carspot/my-account', {
	title: 'My Account',
	icon: 'dashicons dashicons-universal-access',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_profile_template]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_profile_template]' );
    },
});



registerBlockType('carspot/author-profile-public', {
	title: 'Author profile',
	icon: 'dashicons dashicons-bank',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_profile_public]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_profile_public]' );
    },
});

registerBlockType('carspot/login', {
	title: 'Login Form',
	icon: 'dashicons dashicons-unlock',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_login]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_login]' );
    },
});

registerBlockType('carspot/author-directory', {
	title: 'Author Directory',
	icon: 'dashicons dashicons-admin-home',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_author_directory]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_author_directory]' );
    },
});


registerBlockType('carspot/categories-image', {
	title: 'Categories Block',
	icon: 'dashicons dashicons-category',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_categories]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_categories]' );
    },
});

registerBlockType('carspot/featured', {
	title: 'Featured Listing',
	icon: 'dashicons dashicons-sticky',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_featured]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_featured]' );
    },
});

registerBlockType('carspot/map-full', {
	title: 'Map Full',
	icon: 'dashicons dashicons-location-alt',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_map]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_map]' );
    },
});
registerBlockType('carspot/all-listing', {
	title: 'All Listing With map',
	icon: 'dashicons dashicons-grid-view',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_archive_grid]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_archive_grid]' );
    },
});
registerBlockType('carspot/all-listing-without-map', {
	title: 'All Listing Without map',
	icon: 'dashicons dashicons-grid-view',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_archive_grid_no_map]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_archive_grid_no_map]' );
    },
});

registerBlockType('carspot/search-form', {
	title: 'Search Form',
	icon: 'dashicons dashicons-search',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_search]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_search]' );
    },
});

registerBlockType('carspot/filter', {
	title: 'Filter',
	icon: 'dashicons dashicons-admin-settings',
	category: 'carspot-category',  		  
	edit: function() {
        return el( 'p', '', '[carspot_listing_filter]' );
    },
    save: function() {
        return el( 'p', '', '[carspot_listing_filter]' );
    },
});













