<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="carspot-attachments">
	<?php
	$attached_ids       = get_post_meta( $listingid, 'attached_ids', true );
	$attached_ids_array = array_filter( explode( ",", $attached_ids ) );
	if ( is_array( $attached_ids_array ) ) {
		foreach ( $attached_ids_array as $slide ) {
			$filename_only = basename( get_attached_file( $slide ) );
			?>
            <a class="carspot-attachment" href="<?php echo wp_get_attachment_url( $slide ); ?>" target="_blank">
                <div class="carspot-attachment__icon">
                    <img src="<?php echo esc_url( carspot_ep_URLPATH . 'assets/images/pdf.svg' ); ?>">
                </div>
				<?php echo esc_html( $filename_only ); ?>
            </a>

			<?php
		}
	}
	?>
</div>
