<div id="update_message"> </div>		 
<form class="form-horizontal carspot-general-settings" role="form"  name='directory_settings' id='directory_settings'>
	<?php
		$carspot_archive_layout=get_option('carspot_archive_layout');
		if($carspot_archive_layout==""){$carspot_archive_layout='archive-left-map';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Default All Listing Page Layout','carspot');  ?></label>
		<div class="col-md-2">
			<label>												
				<input type="radio" name="carspot_archive_layout" id="carspot_archive_layout" value='archive-left-map' <?php echo ($carspot_archive_layout=='archive-left-map' ? 'checked':'' ); ?> > <?php esc_html_e( 'Listing + Map', 'carspot' );?>
			</label>	
		</div>		
		<div class="col-md-2">	
			<label>											
				<input type="radio"  name="carspot_archive_layout" id="carspot_archive_layout" value='archive-no-map' <?php echo ($carspot_archive_layout=='archive-no-map' ? 'checked':'' );  ?> > <?php esc_html_e( 'Listing Without Map', 'carspot' );?>
			</label>
		</div>		
	</div>	
	<?php
		$carspot_user_can_publish=get_option('carspot_user_can_publish');
		if($carspot_user_can_publish==""){$carspot_user_can_publish='yes';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Publish Listing','carspot');  ?></label>
		<div class="col-md-2">
			<label>												
				<input type="radio" name="carspot_user_can_publish" id="carspot_user_can_publish" value='no' <?php echo ($carspot_user_can_publish=='yes' ? 'checked':'' ); ?> > <?php esc_html_e( 'Admin will Publish', 'carspot' );?>
			</label>	
		</div>
		<div class="col-md-2">	
			<label>											
				<input type="radio"  name="carspot_user_can_publish" id="carspot_user_can_publish" value='yes' <?php echo ($carspot_user_can_publish=='no' ? 'checked':'' );  ?> > <?php esc_html_e( 'All user can publish', 'carspot' );?>
			</label>
		</div>	
	</div>
	<?php
		$listing_hide=get_option('carspot_listing_hide_opt');
		if($listing_hide==""){$listing_hide='package';}	
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Listing hide','carspot');  ?></label>
		<div class="col-md-3">
			<label>												
				<input type="radio" name="listing_hide" id="listing_hide" value='package' <?php echo ($listing_hide=='package' ? 'checked':'' ); ?> > <?php esc_html_e( 'When User Package Expire ', 'carspot' );?>
			</label>	
		</div>
		
		<div class="col-md-3">
			<label>											
				<input type="radio"  name="listing_hide" id="listing_hide" value='admin' <?php echo ($listing_hide=='admin' ? 'checked':'' );  ?> > <?php esc_html_e( 'Admin will hide/delete', 'carspot' );?>
			</label>
		</div>	
		
	</div>
	
	<?php											
		$opt_style=	get_option('carspot_archive_template');
		
	?>	
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Default listing Image','carspot');  ?>
		</label>
		<div class="col-md-2" id="listing_defaultimage">
				<?php
					if(get_option('carspot_listing_defaultimage')!=''){
						$default_image= wp_get_attachment_image_src(get_option('carspot_listing_defaultimage'));
						if(isset($default_image[0])){									
							$default_image=$default_image[0] ;
						}
						}else{
							$default_image=carspot_ep_URLPATH."/assets/images/default-directory.jpg";
						}
					?>
				<img class="w80"   src="<?php echo esc_url($default_image);?>">
				
		</div>
		<div class="col-md-5">	
			
				<input type="hidden" name="carspot_listing_defaultimage" id="carspot_listing_defaultimage" >
				<button type="button" onclick="return  carspot_listing_defaultimage_fun();" class="btn btn-primary btn-xs mt-1"><?php esc_html_e('Set Image','carspot');  ?></button>
				<p class="btn-label"><?php esc_html_e('Best Fit 520px X 260px','carspot');  ?> </p>
		</div>
	</div>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Default Location Image','carspot');  ?>
		</label>
		<div class="col-md-2" id="location_defaultimage">
			<?php
					if(get_option('carspot_location_defaultimage')!=''){
						$default_image= wp_get_attachment_image_src(get_option('carspot_location_defaultimage'));
						if(isset($default_image[0])){									
							$default_image=$default_image[0] ;
						}
						}else{
							$default_image=carspot_ep_URLPATH."/assets/images/location.jpg";
						}
					?>
				<img class="w80"   src="<?php echo esc_url($default_image);?>">
				
		</div>
		<div class="col-md-5">	
				<input type="hidden" name="carspot_location_defaultimage" id="carspot_location_defaultimage" >
				<button type="button" onclick="return  carspot_location_defaultimage_fun();" class="btn btn-primary btn-xs mt-1"><?php esc_html_e('Set Image','carspot');  ?></button>
				<p class="btn-label"><?php esc_html_e('Best Fit 450px X 400px','carspot');  ?> </p>
		</div>
	</div>
	
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Default Category Image','carspot');  ?>
		</label>
		<div class="col-md-2" id="category_defaultimage">
					<?php
					if(get_option('carspot_category_defaultimage')!=''){
						$default_image= wp_get_attachment_image_src(get_option('carspot_category_defaultimage'));
						if(isset($default_image[0])){									
							$default_image=$default_image[0] ;
						}
						}else{
							$default_image=carspot_ep_URLPATH."/assets/images/category.png";
						}
					?>
				<img class="w80"  src="<?php echo esc_url($default_image);?>">
				
		</div>
		<div class="col-md-5">	
				<input type="hidden" name="carspot_category_defaultimage" id="carspot_category_defaultimage" >
				<button type="button" onclick="return  carspot_category_defaultimage_fun();" class="btn btn-primary btn-xs mt-1"><?php esc_html_e('Set Image','carspot');  ?></button>
				<p class="btn-label"><?php esc_html_e('Best Fit 330px X 280px','carspot');  ?> </p>
		</div>
	</div>
	
	
	<div class="form-group row">
		<?php
			$dir_style5_perpage='20';						
			$dir_style5_perpage=get_option('carspot_dir_perpage');
			if($dir_style5_perpage==""){$dir_style5_perpage=20;}
		?>	
		<label  class="col-md-3 control-label">	<?php esc_html_e('Load Per Page','carspot');  ?> </label>
		<div class="col-md-2">																	
			<input  class="form-control" type="input" name="carspot_dir_perpage" id="carspot_dir_perpage" value='<?php echo esc_attr($dir_style5_perpage); ?>'>
		</div>						
	</div>

	<?php
		$carspot_url=get_option('carspot_ep_url');
		if($carspot_url==""){$carspot_url='listing';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Custom Post Type','carspot');  ?></label>
		<div class="col-md-2">													
				<input  class="form-control"  type="input" name="carspot_url" id="carspot_url" value='<?php echo esc_attr($carspot_url); ?>' >
			
		</div>
		<div class="col-md-5">
			<?php esc_html_e('No special characters, no upper case, no space','carspot');  ?>
		</div>
	</div>
	
	
	<?php
		$carspot_label_category=get_option('carspot_label_category');
		if($carspot_label_category==""){$carspot_label_category='Category';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Category Label','carspot');  ?></label>
		<div class="col-md-2">													
				<input  class="form-control"  type="input" name="carspot_label_category" id="carspot_label_category" value='<?php echo esc_attr($carspot_label_category); ?>' >
			
		</div>		
	</div>
		<?php
		$carspot_label_tag=get_option('carspot_label_tag');
		if($carspot_label_tag==""){$carspot_label_tag='Tag';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Tag Label','carspot');  ?></label>
		<div class="col-md-2">													
				<input  class="form-control"  type="input" name="carspot_label_tag" id="carspot_label_tag" value='<?php echo esc_attr($carspot_label_tag); ?>' >
			
		</div>		
	</div>
		<?php
		$carspot_label_location=get_option('carspot_label_location');
		if($carspot_label_location==""){$carspot_label_location='Location';}
	?>
	<div class="form-group row">
		<label  class="col-md-3 control-label"> <?php esc_html_e('Location Label','carspot');  ?></label>
		<div class="col-md-2">													
				<input  class="form-control"  type="input" name="carspot_label_location" id="carspot_label_location" value='<?php echo esc_attr($carspot_label_location); ?>' >
			
		</div>		
	</div>
	
	<hr>
	

	
	<div class="form-group row">
		<div class="col-md-8">
			<div id="update_message49"> </div>	
			<button type="button" onclick="return  carspot_update_dir_setting();" class="carspot-button"><?php esc_html_e('Save & Update','carspot');  ?></button>
		</div>
	</div>
</form>