<?php
	$main_class = new carspot_eplugins;
	wp_enqueue_style('admin-carspot', carspot_ep_URLPATH . 'admin/files/css/admin.css');
	wp_enqueue_style('dataTables', carspot_ep_URLPATH . 'admin/files/css/vue-admin.css');
?>	
<div class="bootstrap-wrapper">
	<div class=" container-fluid">	
		<div class="carspot-admin-header row">
			<div class="carspot-admin-header-logo">
				<img src="<?php echo esc_url(carspot_ep_URLPATH."assets/images/admin-logo.png");?>" alt="carspot Logo">
				<span class="carspot-admin-header-version"><?php echo esc_html($main_class->version); ?></span>
			</div>
			<div class="carspot-admin-header-menu">
				<div class="menu-item">
					<div class="menu-icon">
						<i class="fa-solid fa-question"></i>
						<div class="dropdown">
							<h3><?php  esc_html_e('Get Help','carspot'); ?></h3>
							<div class="list-item">  
							
							 <a href="<?php echo esc_url('https://www.youtube.com/playlist?list=PLLRcfoNnzUb7NzUw-MWlt2NJblMhpxndr');?>" target="_blank">
									<span class="carspot-icon">
										<i class="fa-brands fa-youtube"></i>
									</span>
									<?php  esc_html_e('Video Tutorial','carspot'); ?>
								</a>
								
								<a href="<?php echo esc_url('https://e-plugins.com/support/');?>" target="_blank">
									<span class="carspot-icon">
										<i class="fa-regular fa-comments"></i>
									</span>
									<?php  esc_html_e('Get Support','carspot'); ?>
								</a>
								<a href="<?php echo esc_url('https://help.eplug-ins.com/carspot');?>" target="_blank">
									<div class="carspot-icon">
										<i class="fa-solid fa-file-lines"></i>
									</div>
									<?php  esc_html_e('Documentation','carspot'); ?>
								</a>
								
								<a href="#" target="_blank">
									<div class="carspot-icon">
										<i class="fa-regular fa-comments"></i>
									</div>
								<?php  esc_html_e('FAQ','carspot'); ?>
								</a>
								<a href="<?php echo esc_url('https://carspot.e-plugins.com/request-a-feature/');?>" target="_blank">
									<div class="carspot-icon">
										<i class="fa-regular fa-lightbulb"></i>
									</div>
								<?php  esc_html_e('Request a Feature  ','carspot'); ?>                      </a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>