<?php
	 if ( ! defined( 'ABSPATH' ) ) exit; 
	wp_enqueue_script("jquery");
	wp_enqueue_style('jquery-ui', carspot_ep_URLPATH . 'admin/files/css/jquery-ui.css');
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-datepicker');
	wp_enqueue_style('bootstrap', carspot_ep_URLPATH . 'admin/files/css/iv-bootstrap.css');
	wp_enqueue_script('bootstrap.min', carspot_ep_URLPATH . 'admin/files/js/bootstrap.min-4.js');
	wp_enqueue_script('popper', 		carspot_ep_URLPATH . 'admin/files/js/popper.min.js');
	wp_enqueue_style('colorbox', carspot_ep_URLPATH . 'admin/files/css/colorbox.css');
	wp_enqueue_script('colorbox', carspot_ep_URLPATH . 'admin/files/js/jquery.colorbox-min.js');
	wp_enqueue_style('fontawesome', carspot_ep_URLPATH . 'admin/files/css/all.min.css');
	wp_enqueue_style('carspot_my-account', carspot_ep_URLPATH . 'admin/files/css/my-account.css');
	wp_enqueue_style('carspot_my-account-2', carspot_ep_URLPATH . 'admin/files/css/my-account-new.css');
	wp_enqueue_style('carspot_my-menu', carspot_ep_URLPATH . 'admin/files/css/cssmenu.css');
	wp_enqueue_script('carspot_script-user-directory', carspot_ep_URLPATH . 'admin/files/js/user-directory.js');
	wp_enqueue_style('jquery.dataTables', carspot_ep_URLPATH . 'admin/files/css/jquery.dataTables.css');
	wp_enqueue_script('jquery.dataTables', carspot_ep_URLPATH . 'admin/files/js/jquery.dataTables.js');	
	wp_enqueue_style('datetimepicker', carspot_ep_URLPATH . 'admin/files/css/jquery.datetimepicker.css');
	// Map openstreet
	wp_enqueue_script('leaflet', carspot_ep_URLPATH . 'admin/files/js/leaflet.js');
	wp_enqueue_style('leaflet', carspot_ep_URLPATH . 'admin/files/css/leaflet.css');
	wp_enqueue_script('leaflet-geocoder-locationiq', carspot_ep_URLPATH . 'admin/files/js/leaflet-geocoder-locationiq.min.js');		
	wp_enqueue_style('leaflet-geocoder-locationiq', carspot_ep_URLPATH . 'admin/files/css/leaflet-geocoder-locationiq.min.css');
	wp_enqueue_media();
	$main_class = new carspot_eplugins;
	$carspot_directory_url=get_option('carspot_ep_url');
	if($carspot_directory_url==""){$carspot_directory_url='listing';}
	global $current_user;
	global $wpdb;
	$user = new WP_User( $current_user->ID );
	if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
		foreach ( $user->roles as $role ){
			$crole= ucfirst($role);
			break;
		}
	}
	if(strtoupper($crole)!=strtoupper('administrator')){
		include(carspot_ep_template.'/private-profile/check_status.php');
	}
	$currencies = array();
	$currencies['AUD'] ='$';$currencies['CAD'] ='$';
	$currencies['EUR'] ='€';$currencies['GBP'] ='£';
	$currencies['JPY'] ='¥';$currencies['USD'] ='$';
	$currencies['NZD'] ='$';$currencies['CHF'] ='Fr';
	$currencies['HKD'] ='$';$currencies['SGD'] ='$';
	$currencies['SEK'] ='kr';$currencies['DKK'] ='kr';
	$currencies['PLN'] ='zł';$currencies['NOK'] ='kr';
	$currencies['HUF'] ='Ft';$currencies['CZK'] ='Kč';
	$currencies['ILS'] ='₪';$currencies['MXN'] ='$';
	$currencies['BRL'] ='R$';$currencies['PHP'] ='₱';
	$currencies['MYR'] ='RM';$currencies['AUD'] ='$';
	$currencies['TWD'] ='NT$';$currencies['THB'] ='฿';
	$currencies['TRY'] ='TRY';	$currencies['CNY'] ='¥';
	$currency= get_option('carspot_api_currency');
	$currency_symbol=(isset($currencies[$currency]) ? $currencies[$currency] :$currency );
	$user_id= $current_user->ID;
?>
<?php
	
	$user_id=$current_user->ID;
	$iv_profile_pic_url=get_user_meta($user_id, 'carspot_profile_pic_thum',true);
	
	$active_single_fields_saved=get_option('carspot_single_fields_saved' );	
	if(empty($active_single_fields_saved)){$active_single_fields_saved=carspot_get_listing_fields_all_single();}	
?>
<div class="bootstrap-wrapper " id="profile-account2">
	<input type="hidden" id="profileID" value="<?php echo esc_attr($user_id); ?>">
	<div class="container-fluid">			
	<div class="row" >
		<div class="col-lg-4 col-md-12 col-sm-12 col-12 pl-40 pl-lg-15 mt-lg-30">
			<div class="sidebar-myaccount" id="carspot-left-menu">
				<div class="sidebar-heading pb-15 ">
					<div class="avatar-sidebar mt-3">
						<?php	
							$company_name= get_user_meta($user_id,'full_name', true);
							$company_address= get_user_meta($user_id,'address', true);
							$company_web=get_user_meta($user_id,'website', true);
							$company_phone=get_user_meta($user_id,'phone', true);
							$company_logo=get_user_meta($user_id, 'carspot_profile_pic_thum',true);
							if(array_key_exists('company-logo',$active_single_fields_saved)){ 
								if(trim($company_logo)!=''){
								?>
								<figure><img alt="image" class="height100p"  src="<?php echo esc_url($company_logo); ?>"></figure>
								<?php
								}else{?>
								<figure class="blank-rounded-logo"></figure>
								<?php
								}
							}
						?>
						<div class="sidebar-info"><span class="toptitle-sub"><?php echo esc_html($company_name); ?></span>
							<?php
								$all_locations= str_replace(',',' ',get_user_meta($user_id, 'all_locations', true));
								if(!empty( $all_locations)){
								?>
								<span class="card-location mt-2"><i class="fa-solid fa-location-dot mr-2"></i><?php echo esc_html($all_locations); ?>
								</span>
								<?php
								}
								$total_listings= $main_class->carspot_total_listing_count($user_id, $allusers='no' );
								if($total_listings>0){
								?>
								<a class="link-underline mt-1 " href="<?php echo get_post_type_archive_link( $carspot_directory_url ).'?employer='.esc_attr($user_id); ?>">
									<?php echo esc_html($total_listings);?> <?php esc_html_e('Open listings', 'carspot'); ?>
								</a>
								<?php
								}
							?>
						</div>
					</div>
				</div>
				
					
				<div class="sidebar-list-listing"  id="carspot-left-menu">
					
					<!-- SIDEBAR MENU -->
					<div class="profile-usermenu" >
						<?php
							$active='setting';
							if(isset($_GET['profile']) AND $_GET['profile']=='setting' ){
								$active='setting';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='level' ){
								$active='level';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='all-post' ){
								$active='all-post';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='new-post' ){
								$active='new-post';
							}							
							if(isset($_GET['profile']) AND $_GET['profile']=='dashboard' ){
								$active='dashboard';
							}							
							
							if(isset($_GET['profile']) AND $_GET['profile']=='notification' ){
								$active='notification';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='post-edit' ){
								$active='all-post';
							}							
							if(isset($_GET['profile']) AND $_GET['profile']=='booking' ){
								$active='booking';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='author_bookmarks' ){
								$active='author_bookmarks';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='messageboard' ){
								$active='messageboard';
							}							
							if(isset($_GET['profile']) AND $_GET['profile']=='listing_bookmark' ){
								$active='listing_bookmark';
							}
							$post_type=  'listing';
						?>
						<div id='cssmenu'>
							<?php
								
								include(  carspot_ep_template. 'private-profile/all-menu.php');
									
							?>
						</div>
					</div>
					<!-- END MENU -->
				</div>
			</div>
		</div>
		<div class="col-lg-8 col-md-12 col-sm-12 col-12">
			<div class="listing-overview">	
				<?php
					if(isset($_GET['profile']) AND $_GET['profile']=='all-post' ){						
						if( get_option('epjbcarspot_menuallpost' ) ) {
							$account_menu_check= get_option('epjbcarspot_menuallpost');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/profile-all-post-1.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
						
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='level' ){						
						if( get_option('epjbcarspot_mylevel' ) ) {
							$account_menu_check= get_option('epjbcarspot_mylevel');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/profile-level-1.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='post-edit' ){						
						if( get_option('epjbcarspot_menuallpost' ) ) {
							$account_menu_check= get_option('epjbcarspot_menuallpost');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/profile-edit-post-1.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
					}
					
					elseif(isset($_GET['profile']) AND $_GET['profile']=='setting' ){
						include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
					}	
					elseif(isset($_GET['profile']) AND $_GET['profile']=='author_bookmarks' ){
						if( get_option('epjbcarspot_author_bookmarks' ) ) {
							$account_menu_check= get_option('epjbcarspot_author_bookmarks');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/author-bookmarks.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
					}										
					elseif(isset($_GET['profile']) AND $_GET['profile']=='listing_bookmark' ){						
						if( get_option('epjbcarspot_listing_bookmarks' ) ) {
							$account_menu_check= get_option('epjbcarspot_listing_bookmarks');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/listing_bookmark-file.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
						
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='messageboard' ){						
						if( get_option('epjbcarspot_messageboard' ) ) {
							$account_menu_check= get_option('epjbcarspot_messageboard');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/messageboard.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}
						
					
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='booking' ){						
						if( get_option('epjbcarspot_booking' ) ) {
							$account_menu_check= get_option('epjbcarspot_booking');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/booking.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}	
						
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='notification' ){						
						if( get_option('epjbcarspot_notification' ) ) {
							$account_menu_check= get_option('epjbcarspot_notification');
						}
						if($account_menu_check!='yes'){
							include(  carspot_ep_template. 'private-profile/listing-notifications.php');
						}else{
							include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						}					
					}else{					 
						include(  carspot_ep_template. 'private-profile/profile-setting-1.php');
						
					}
				?>
			</div>			
		</div>
	</div>		
</div>
</div>

<?php
	$currencyCode = get_option('carspot_api_currency');
	wp_enqueue_script('carspot_myaccount', carspot_ep_URLPATH . 'admin/files/js/my-account.js');
	wp_localize_script('carspot_myaccount', 'carspot1', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.carspot_ep_URLPATH.'admin/files/images/loader.gif">',
	'wp_iv_directories_URLPATH'		=> carspot_ep_URLPATH,
	'current_user_id'	=>get_current_user_id(),
	'SetImage'		=>esc_html__('Set Image','carspot'),
	'GalleryImages'=>esc_html__('Gallery Images','carspot'),
	'cancel-message' => esc_html__('Are you sure to cancel this Membership','carspot'),
	'currencyCode'=>  $currencyCode,
	'dirwpnonce'=> wp_create_nonce("myaccount"),
	'dirwpnonce2'=> wp_create_nonce("signup2"),
	'signup'=> wp_create_nonce("signup"),
	'contact'=> wp_create_nonce("contact"),
	'permalink'=> get_permalink(),
	"sProcessing"=>  esc_html__('Processing','carspot'),
	"sSearch"=>   esc_html__('Search','carspot'),
	"lengthMenu"=>   esc_html__('Display _MENU_ ','carspot'),
	"zeroRecords"=>  esc_html__('Nothing found - sorry','carspot'),
	"info"=>  esc_html__('Showing page _PAGE_ of _PAGES_','carspot'),
	"infoEmpty"=>   esc_html__('No records available','carspot'),
	"infoFiltered"=>  esc_html__('(filtered from _MAX_ total records)','carspot'),
	"sFirst"=> esc_html__('First','carspot'),
	"sLast"=>  esc_html__('Last','carspot'),
	"sNext"=>     esc_html__('Next','carspot'),
	"sPrevious"=>  esc_html__('Previous','carspot'),
	"makeShortListed"=>  esc_html__('Make Shortlisted','carspot'), 
	"ShortListed"=>  esc_html__('Undo Shortlisted','carspot'), 
	"Rejected"=>  esc_html__('Rejected','carspot'), 
	"MakeReject"=>  esc_html__('Make Reject','carspot'), 		
	) );
	wp_enqueue_script('carspot_single-listing', carspot_ep_URLPATH . 'admin/files/js/single-listing.js');
	wp_localize_script('carspot_single-listing', 'carspot_data', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.carspot_ep_URLPATH.'admin/files/images/loader.gif">',
	'current_user_id'	=>get_current_user_id(),
	'Please_login'=>esc_html__('Please login', 'carspot' ),
	'Add_to_Favorites'=>esc_html__('Add to Favorites', 'carspot' ),
	'Added_to_Favorites'=>esc_html__('Added to Favorites', 'carspot' ),
	'Please_put_your_message'=>esc_html__('Please put your name,email & Cover letter', 'carspot' ),
	'contact'=> wp_create_nonce("contact"),
	'listing'=> wp_create_nonce("listing"),
	'cv'=> wp_create_nonce("Doc/CV/PDF"),
	'carspot_ep_URLPATH'=>carspot_ep_URLPATH,
	) );
	wp_enqueue_script('carspot_message', carspot_ep_URLPATH . 'admin/files/js/user-message.js');
	wp_localize_script('carspot_message', 'carspot_data_message', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.carspot_ep_URLPATH.'admin/files/images/loader.gif">',		
	'Please_put_your_message'=>esc_html__('Please put your name,email & message', 'carspot' ),
	'contact'=> wp_create_nonce("contact"),
	'listing'=> wp_create_nonce("listing"),
	) );
	wp_reset_query();
	?>	